
import 'dart:async';

import 'package:flutter/services.dart';
typedef OnLog = void Function(String o);

class MotrixiCallback {
  OnLog onLog;
  MotrixiCallback ({OnLog this.onLog});
}

class MotrixiFlutter {
  static MotrixiCallback callback;
  static void setCallback(MotrixiCallback cb){
    callback = cb;
  }
  static const MethodChannel _channel =
      const MethodChannel('motrixi_flutter');
  static const EventChannel _eventChannel = EventChannel('motrixi_flutter_event');

  static Future<String> initSDK(String appKey) async {
    _eventChannel
        .receiveBroadcastStream()
        .listen(_eventListener, onError: _errorListener);
    final String data =  await _channel.invokeMethod<String>('initMotrixiSDK', <String, dynamic>{
      'appKey': appKey
    });
    return data;
  }

  static Future<String> get uploadSDKData async {
    final String data = await _channel.invokeMethod<String>('uploadSDKData');
    return data;
  }


  static void _eventListener(dynamic event) {
    print('******event*****' + event.toString());
    callback.onLog(event.toString());
  }

  static void _errorListener(Object obj) {
    print("errorListener: $obj");
  }

}